Bug 404911 - 'gimmie' crashes caused by python?
'gimmie' crashes caused by python?
Product: Fedora
Classification: Fedora
Component: gimmie (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
: 408341 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-11-29 14:51 EST by Deji Akingunola
Modified: 2009-07-14 11:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 11:07:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
debugging output of the core dumped (43.56 KB, application/octet-stream)
2008-04-14 17:04 EDT, Lyle Lasheimok
no flags Details

  None (edit)
Description Deji Akingunola 2007-11-29 14:51:03 EST
Description of problem: The latest version of gimmie (an app developed with
python) is very unstable on Fedora, it crashes in a way that's reported (for
gimmie) elsewhere. When I launch the app (run gimmie) from the terminal and try
to reproduce the crash, it dies with the following output;
python: Modules/gcmodule.c:276: visit_decref: Assertion `gc->gc.gc_refs != 0'

I google around for this error message, and it seems to be only reported for
OLPC software run on Fedora, where it was explained to be caused by a problem in
Python's garbage collector (http://dev.laptop.org/ticket/4686).

I've observed the same crash message on both Fedora 8 and rawhide.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 James Antill 2007-11-29 15:24:12 EST
 gimmie is OS specific (contains .so as well as python code).
 Unless you can reproduce with plain python, I'm unlikely to believe the python
GC is this broken.
 valgrind shows a huge number of memory problems.
Comment 2 James Antill 2007-11-29 16:04:41 EST
 n/m the valgrind comment, valgrind looks like it's unhappy with the pool
allocator in python ... but I can't see the problem.
Comment 3 Deji Akingunola 2007-12-03 02:00:50 EST
*** Bug 408341 has been marked as a duplicate of this bug. ***
Comment 4 Luis Villa 2007-12-03 07:39:43 EST
See also bug 384221, which looks like a dup of this, but I don't have perms to
mark it as such.
Comment 5 Luis Villa 2007-12-03 08:59:11 EST
By the way, James, just as a data point- this didn't happen in F7 with the same
version of gimmie, which suggests to me that the problem is probably something
outside of gimmie. No idea if it is python, or pygtk, or what, but it probably
isn't gimmie itself.
Comment 6 Lyle Lasheimok 2007-12-03 09:49:13 EST
*** Bug 384221 has been marked as a duplicate of this bug. ***
Comment 7 James Antill 2007-12-03 09:57:08 EST
 From my point of view, if this was a bug in python then the probability of
_just_ gimmie hitting it are very small ... so unless significant evidence is
given my assumption would be that it's gimmie at fault.

 As another point of reference I just checked out the latest from CVS
gimmie-0.2.8 and it seems to work fine (the 0.2.7 version wouldn't even display
anything before it crashed).
Comment 8 Luis Villa 2007-12-03 10:06:09 EST
Did you check out the 0.2.8 tag, or head? I have not tried head. 

(Both 0.2.7 and 0.2.8, from tarballs/rpms, crashed like crazy here on f8; 0.2.7
was fine on F7, 0.2.8 was released after I upgraded to F8.) 
Comment 9 James Antill 2007-12-03 10:19:53 EST
 I basically did: cvs co gimmie; cd gimmie/F-8; make x86_64; sudo rpm -Uvh ...
 Then ran the new version, I've just got it to crash by pressing the "library"
button ... but it actually shows something on screen, and I can bring windows to
the fore using the buttons on the left etc.
Comment 10 Takanori MATSUURA 2008-04-01 03:22:50 EDT
I suppose this is the dup. of bug 171809.
Comment 11 Lyle Lasheimok 2008-04-14 17:04:13 EDT
Created attachment 302391 [details]
debugging output of the core dumped

Hi all,

maybe the dbg output helps to determine whether it's a gimmie or a python

Comment 12 Bug Zapper 2008-05-14 00:03:57 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 13 Bug Zapper 2009-06-09 19:14:43 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 14 Bug Zapper 2009-07-14 11:07:26 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.